﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Wave wave = new Wave();

            chart1.Series[0].ItemsSource = null;
            chart1.Series[1].ItemsSource = null;
            chart1.Series[2].ItemsSource = null;

            wave.CreateDatas();

            chart1.Series[0].ItemsSource = wave.top;
            chart1.Series[1].ItemsSource = wave.middle;
            chart1.Series[2].ItemsSource = wave.bottom;

        }

        
    }


    public class Wave : INotifyPropertyChanged
    {
        public ObservableCollection<Wave> top { get; set; }
        public ObservableCollection<Wave> middle { get; set; }
        public ObservableCollection<Wave> bottom { get; set; } 


        private double x;
        public double X
        {
            get { return x; }
            set
            {
                if( x != value )
                {
                    x = value;
                    OnPropertyChanged( "X" );
                }
            }
        }

        private double y;
        public double Y
        {
            get { return y; }
            set
            {
                if( y != value )
                {
                    y = value;
                    OnPropertyChanged( "Y" );
                }
            }
        }



        public Wave()
        {

        }

        public Wave( double xValue, double yValue )
        {
            X = xValue;
            Y = yValue;
        }



        public void CreateDatas()
        { 
            top = new ObservableCollection<Wave>();
            middle = new ObservableCollection<Wave>();
            bottom = new ObservableCollection<Wave>();
             
            for( int j = 0; j <= 100; j++ )
            {
                top.Add( new Wave( X = j, Y = 50 ) );
                middle.Add( new Wave( X = j, Y = 100 ) );
                bottom.Add( new Wave( X = j, Y = 00 ) );
            }
             
        }



 
      


     

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged( string propertyName = null )
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if( handler != null )
                handler( this, new PropertyChangedEventArgs( propertyName ) );
        }
    }




}
